Package com.arms.config

## Class DwrConfig

- java.lang.Object
- - com.arms.config.DwrConfig

- All Implemented Interfaces:
    `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

      @Configuration
      public class DwrConfig
      extends java.lang.Object
      implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DwrConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceHandlers​(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)` |
    `void` | `addViewControllers​(org.springframework.web.servlet.config.annotation.ViewControllerRegistry registry)` |
    `void` | `configurePathMatch​(org.springframework.web.servlet.config.annotation.PathMatchConfigurer configurer)` |
    `org.springframework.boot.web.servlet.ServletRegistrationBean<org.directwebremoting.servlet.DwrServlet>` | `dwrServletRegistration()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.servlet.config.annotation.WebMvcConfigurer

      `addArgumentResolvers, addCorsMappings, addFormatters, addInterceptors, addReturnValueHandlers, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configureViewResolvers, extendHandlerExceptionResolvers, extendMessageConverters, getMessageCodesResolver, getValidator`

- - ### Constructor Detail

    - #### DwrConfig

          public DwrConfig()

  - ### Method Detail

    - #### addResourceHandlers

          public void addResourceHandlers​(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)

      Specified by:
        `addResourceHandlers` in interface `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

    - #### addViewControllers

          public void addViewControllers​(org.springframework.web.servlet.config.annotation.ViewControllerRegistry registry)

      Specified by:
        `addViewControllers` in interface `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

    - #### configurePathMatch

          public void configurePathMatch​(org.springframework.web.servlet.config.annotation.PathMatchConfigurer configurer)

      Specified by:
        `configurePathMatch` in interface `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

    - #### dwrServletRegistration

          @Bean
          public org.springframework.boot.web.servlet.ServletRegistrationBean<org.directwebremoting.servlet.DwrServlet> dwrServletRegistration()